Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.cms
Class RecipientId

    java.lang.Object
      |
      +--java.security.cert.X509CertSelector
            |
            +--org.bouncycastle.cms.RecipientId

All Implemented Interfaces:
  java.security.cert.CertSelector, java.lang.Cloneable

public class RecipientId
extends java.security.cert.X509CertSelector

Constructor Summary
`RecipientId()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getKeyIdentifier()` return the secret key identifier
`int` | `hashCode()`
`void` | `setKeyIdentifier(byte[] keyIdentifier)` set a secret key identifier (for use with KEKRecipientInfo)

Methods inherited from class java.security.cert.X509CertSelector
`addPathToName, addPathToName, addSubjectAlternativeName, addSubjectAlternativeName, clone, getAuthorityKeyIdentifier, getBasicConstraints, getCertificate, getCertificateValid, getExtendedKeyUsage, getIssuerAsBytes, getIssuerAsString, getKeyUsage, getMatchAllSubjectAltNames, getNameConstraints, getPathToNames, getPolicy, getPrivateKeyValid, getSerialNumber, getSubjectAlternativeNames, getSubjectAsBytes, getSubjectAsString, getSubjectKeyIdentifier, getSubjectPublicKey, getSubjectPublicKeyAlgID, match, setAuthorityKeyIdentifier, setBasicConstraints, setCertificate, setCertificateValid, setExtendedKeyUsage, setIssuer, setIssuer, setKeyUsage, setMatchAllSubjectAltNames, setNameConstraints, setPathToNames, setPolicy, setPrivateKeyValid, setSerialNumber, setSubject, setSubject, setSubjectAlternativeNames, setSubjectKeyIdentifier, setSubjectPublicKey, setSubjectPublicKey, setSubjectPublicKeyAlgID, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecipientId

    public RecipientId()

Method Detail

### setKeyIdentifier

    public void setKeyIdentifier(byte[] keyIdentifier)

  set a secret key identifier (for use with KEKRecipientInfo)

### getKeyIdentifier

    public byte[] getKeyIdentifier()

  return the secret key identifier

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD